Subject: Re: [jose] #134: Section 4.1 "alg" (Algorithm) Header Parameter Values for JWE

From: "jose issue tracker" <[email-masked]>
Date: Thu, 07 Nov 2013 02:17:45 -0000

#134: Section 4.1 "alg" (Algorithm) Header Parameter Values for JWE

Description changed by [email-masked]:

Old description:

> A. Suggested replacement text for the last sentence of the first
> paragraph
>
>  Two types of algorithms are specified in this section.  The first are
> those that deal with the CEK value, either encrypting it (using a
> symmetric or asymmetric key) or producing it directly from a shared
> secret (using either a shared value or asymmetric key).
>
> B.  Don't need the entire spiel in the description of the management
> algorithm - that goes in the section below.  Just the highlights.  I
> would be comfortable with just using the abbreviations here since it is a
> table and not use the full names.
>
> C. delete paragraph on short identifiers (moves to intro)
>
> * FIXED
>
> D.  If the second paragraph following the table is kept, then it should
> be more detailed on what the concepts are and what they mean.  Possibly
> with multiple paragraphs.
>
> * WON'T FIX

New description:

 A. Suggested replacement text for the last sentence of the first paragraph

  Two types of algorithms are specified in this section.  The first are
 those that deal with the CEK value, either encrypting it (using a
 symmetric or asymmetric key) or producing it directly from a shared secret
 (using either a shared value or asymmetric key).

 * WON'T FIX - text looks better

 B.  Don't need the entire spiel in the description of the management
 algorithm - that goes in the section below.  Just the highlights.  I would
 be comfortable with just using the abbreviations here since it is a table
 and not use the full names.

 C. delete paragraph on short identifiers (moves to intro)

 * FIXED

 D.  If the second paragraph following the table is kept, then it should be
 more detailed on what the concepts are and what they mean.  Possibly with
 multiple paragraphs.

 * WON'T FIX

--

-- 
-------------------------+-------------------------------------------------
 Reporter:               |       Owner:  draft-ietf-jose-json-web-
  [email-masked] |  [email-masked]
     Type:  defect       |      Status:  new
 Priority:  major        |   Milestone:
Component:  json-web-    |     Version:
  algorithms             |  Resolution:
 Severity:  -            |
 Keywords:               |
-------------------------+-------------------------------------------------

Ticket URL: <http://trac.tools.ietf.org/wg/jose/trac/ticket/134#comment:3>
jose <http://tools.ietf.org/jose/>